Bug 656363 - Review Request: perl-Package-Stash-XS - Faster and more correct implementation of the Package::Stash API
Summary: Review Request: perl-Package-Stash-XS - Faster and more correct implementatio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-23 15:40 UTC by Paul Howarth
Modified: 2011-01-06 17:01 UTC (History)
3 users (show)

Fixed In Version: perl-Package-Stash-XS-0.17-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-06 17:01:59 UTC
iarnell: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2010-11-23 15:40:56 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Package-Stash-XS/branches/fedora/perl-Package-Stash-XS.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Package-Stash-XS/perl-Package-Stash-XS-0.17-2.fc14.src.rpm

Description:
This is a back-end for Package::Stash, which provides the functionality in a
way that's less buggy and much faster. It will be used by default if it's
installed, and should be preferred in all environments with a compiler.


This package contains patches to allow it to build and pass its test suite on EL-4 and EL-5. Whilst no patches are necessary for EL-6 and contemporary Fedora releases, I prefer to keep the packages for all branches in sync. The patches are only applied where necessary.

Builds for Rawhide and EL-6 should work now.

Builds for F-13 and F-14 need perl-Try-Tiny 0.07 (currently in updates-testing), perl-Test-LeakTrace >= 0.11 (currently in updates-testing), and perl-Test-Fatal (not built yet as it depends on perl-Try-Tiny 0.07).

Builds for EL-5 need perl-Pod-Coverage-TrustPod (not yet built - Bug #560894), perl-Test-Fatal (in epel-testing), perl-Test-Requires 0.07 (in epel-testing), and perl-Pod-Eventual (in epel-testing).

Builds for EL-4 need perl-Test-Fatal (in epel-testing).

Comment 1 Iain Arnell 2010-12-04 05:14:38 UTC
+ source files match upstream.  
    5430594809936af4add03e627c43a42a  Package-Stash-XS-0.17.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text included
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2643009

+ package installs properly.
+ rpmlint has no complaints:
    3 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
    perl(Package::Stash::XS) = 0.17
    perl-Package-Stash-XS = 0.17-2.fc15
    perl-Package-Stash-XS(x86-64) = 0.17-2.fc15
=
    libc.so.6()(64bit)  
    libc.so.6(GLIBC_2.2.5)(64bit)  
    perl(:MODULE_COMPAT_5.12.2)  
    perl(strict)  
    perl(warnings)  
    perl(XSLoader)  
    rpmlib(CompressedFileNames) <= 3.0.4-1
    rpmlib(FileDigests) <= 4.6.0-1
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
    rpmlib(PayloadIsXz) <= 5.2-1
    rpmlib(VersionedDependencies) <= 3.0.3-1
    rpmlib(VersionedDependencies) <= 3.0.3-1
    rtld(GNU_HASH)  
+ %check is present and all tests pass.
    t/00-compile.t ............ ok
    t/01-basic.t .............. ok
    t/02-extension.t .......... ok
    t/03-io.t ................. ok
    t/04-get.t ................ ok
    t/05-isa.t ................ ok
    t/06-addsub.t ............. ok
    t/07-edge-cases.t ......... ok
    t/10-synopsis.t ........... ok
    t/20-leaks.t .............. ok
    t/21-leaks-debug.t ........ ok
    t/release-eol.t ........... ok
    t/release-no-tabs.t ....... ok
    t/release-pod-coverage.t .. ok
    t/release-pod-syntax.t .... ok
    All tests successful.
    Files=15, Tests=297,  1 wallclock secs ( 0.06 usr  0.02 sys +  0.54 cusr  0.06 csys =  0.68 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


The patches for EPEL are necessary and applied sanely.

APPROVED.

Comment 2 Paul Howarth 2010-12-04 21:30:05 UTC
New Package SCM Request
=======================
Package Name: perl-Package-Stash-XS
Short Description: Faster and more correct implementation of the Package::Stash API
Owners: pghmcfc
Branches: f13 f14 el4 el5 el6
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2010-12-06 16:00:51 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2010-12-06 18:19:09 UTC
perl-Package-Stash-XS-0.17-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Package-Stash-XS-0.17-2.fc13

Comment 5 Fedora Update System 2010-12-06 18:19:15 UTC
perl-Package-Stash-XS-0.17-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Package-Stash-XS-0.17-2.fc14

Comment 6 Fedora Update System 2010-12-06 21:05:45 UTC
perl-Package-Stash-XS-0.17-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Package-Stash-XS-0.17-2.el4

Comment 7 Fedora Update System 2010-12-17 08:27:22 UTC
perl-Package-Stash-XS-0.17-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-12-17 08:41:02 UTC
perl-Package-Stash-XS-0.17-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-12-21 17:40:42 UTC
perl-Package-Stash-XS-0.17-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Package-Stash-XS-0.17-2.el5

Comment 10 Fedora Update System 2010-12-22 17:30:37 UTC
perl-Package-Stash-XS-0.17-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Package-Stash-XS'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Package-Stash-XS-0.17-2.el5

Comment 11 Fedora Update System 2010-12-22 17:30:42 UTC
perl-Package-Stash-XS-0.17-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-01-06 17:01:54 UTC
perl-Package-Stash-XS-0.17-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.